.TH "GIT-UBUNTU-REMOTE" "1" "2017-07-19" "Git-Ubuntu 0.2" "Git-Ubuntu Manual"

.SH "NAME"
git-ubuntu remote \- Manage Launchpad source package Git remotes
.SH "SYNOPSIS"
.SP
.NF
\fIgit ubuntu remote\fR [\-d | \-\-directory <directory>]
[\-l | \-\-lp-user <lp_user>] [\-r | \-\-remote-name <name>]
[\-\-no-fetch] [\-\-package <package>] add <user> [<url>]
.FI
.SP
.SH "DESCRIPTION"
.SP
Launchpad source package repositories are at well-defined locations for
given a username\&.
This subcommand allows users to add these well-defined locations to a
local \fBgit\fR(1) repository\&.
Once added, the remote can be manipulated like any Git remote\&.
.SP
.SH "OPTIONS"
.PP
\-d <directory>, \-\-directory <directory>
.RS 4
The local directory to manage the remote in\&.
If not specified, the current directory is used\&.
.RE
.PP
\-l <lp_user>, \-\-lp-user <lp_user>
.RS 4
The Launchpad user to authenticate as for push URLs\&.
.RE
.PP
\-r, \-\-remote-name <name>
.RS 4
The remote name to use\&.
If not specified, the remote will be named "\fB<user>\fR"\&.
.RE
.PP
\-\-no-fetch
.RS 4
Do not fetch the remote after adding it\&.
.RE
.PP
\-\-package <package>
.RS 4
The source package, and thus the repository, to download from
this user\&.
By default, the source package is derived from the current directory's
debian/changelog\&.
.RE
.PP
<user>
.RS 4
The Launchpad username that owns the repository to add\&.
.RE
.PP
<url>
.RS 4
The URL to add as a remote\&.
If the auto-derived URL from \fB<user>\fR and the debian/changelog's
source package is not desired, it can be manually specified\&.
.RE
.SP
.SH "EXIT STATUS"
.SP
\fIgit ubuntu remote\fR exits with status 0 if the command completes
successfully\&.
\fIgit ubuntu remote\fR exits with nonzero exit status on errors\&.
.SP
.SH "REPORTING BUGS"
.SP
Report bugs at
.UR https://bugs.launchpad.net/git-ubuntu
.UE
\.
.SP
.SH "SEE ALSO"
.SP
\fBgit-remote\fR(1)
.SP
.SH "GIT-UBUNTU"
Part of the \fBgit-ubuntu\fR(1) suite
